# link_checker

Can find links and check if they're dead in almost any file.

Are you tired of finding dead links in projects from READMEs to large websites? Yes, yes you are. `link_checker` allows you to test for dead links, whether it be a single link, a file, or an entire project, all with a single line! It can check most types of file, such as Java, Dart, and Markdown. `link_checker` can efficiently search your entire project by allowing you to blacklist directories, blacklist links using regex, etc.

```dart
import 'package:link_checker/link_checker.dart';
import 'package:test/test.dart';

void main() {
  test('this project for dead links', () {
    expect(
        getBadLinksInDirectory(blacklistedDirectories: [
          BlacklistedDirectory('test'),
          BlacklistedDirectory('example')
        ], blacklistedLinks: [
          'http://schemas.android.com'
        ]),
        emitsDone);
  }, timeout: Timeout.none);
}
```

You'll probably want the CI to run every twenty-four hours, since broken links aren't created from just your own commits, but external web pages being deleted as well.